#ifndef BPSMMediaPlaybackState_h
#define BPSMMediaPlaybackState_h

#import <Foundation/Foundation.h>
#import "BPSMMedia.h"

//! Support object defining current state playing media.
@interface BPSMMediaPlaybackState : NSObject

//! Media playback position.
@property NSNumber *currentTime;

//! Media duration in seconds.
@property NSNumber *duration;

//! Currently playing media info.
@property BPSMMedia *media;

+ (BPSMMediaPlaybackState *) newFromNSDictionary: (NSDictionary *)dict;

@end

#endif /* BPSMMediaPlaybackState_h */
